org.apache.sysds.runtime.lineage

## Class LineageGPUCacheEviction

- java.lang.Object
- - org.apache.sysds.runtime.lineage.LineageGPUCacheEviction

    public class LineageGPUCacheEviction
    extends Object

### Field Summary

Fields
`static ExecutorService` `gpuEvictionThread`

### Constructor Summary

Constructors
Constructor and Description
`LineageGPUCacheEviction()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addEntryList(List<LineageCacheEntry> entryList)`
`static void` `copyToHostCache(LineageCacheEntry entry, String instName, boolean alreadyCopied)`
`static boolean` `isGPUCacheEmpty()`
`static LineageCacheEntry` `peekFirstEntry()`
`static LineageCacheEntry` `pollFirstEntry()`
`static void` `removeEntry(LineageCacheEntry e)`
`static void` `setGPULineageCacheLimit()` Set the max constraint for the lineage cache in GPU

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### gpuEvictionThread

    public static ExecutorService gpuEvictionThread

### Constructor Detail

#### LineageGPUCacheEviction

    public LineageGPUCacheEviction()

### Method Detail

#### setGPULineageCacheLimit

    public static void setGPULineageCacheLimit()

Set the max constraint for the lineage cache in GPU

#### isGPUCacheEmpty

    public static boolean isGPUCacheEmpty()

#### pollFirstEntry

    public static LineageCacheEntry pollFirstEntry()

#### peekFirstEntry

    public static LineageCacheEntry peekFirstEntry()

#### removeEntry

    public static void removeEntry(LineageCacheEntry e)

#### addEntryList

    public static void addEntryList(List<LineageCacheEntry> entryList)

#### copyToHostCache

    public static void copyToHostCache(LineageCacheEntry entry,
                                       String instName,
                                       boolean alreadyCopied)